# Gimp.Matrix4.transform_point

    @accepts(Gimp.Matrix4, float, float, float, float, float, float)
    @returns(float)
    def transform_point(self, x, y, z, newx, newy, newz):
        # Python wrapper for gimp_matrix4_transform_point()

Transforms a point in 3D as specified by the transformation matrix.

Since 2.10.16

self

  The transformation matrix.

x

  The source X coordinate.

y

  The source Y coordinate.

z

  The source Z coordinate.

newx

  The transformed X coordinate.

newy

  The transformed Y coordinate.

newz

  The transformed Z coordinate.

Returns